> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Custody Allocations

> Updates amounts of existing grant-linked custody allocations, rejecting totals that exceed the grant amount.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-custody-allocations
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-custody-allocations:
    post:
      operationId: updateCustodyAllocations
      summary: Update Custody Allocations
      description: >-
        Updates amounts of existing grant-linked custody allocations, rejecting
        totals that exceed the grant amount.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustodyAllocationsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCustodyAllocationsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateCustodyAllocationsRequest:
      type: object
      properties:
        updates:
          type: array
          items:
            type: object
            properties:
              custodyAllocationID:
                type: string
                format: uuid
              allocationAmount:
                type: string
                pattern: ^(?:0|[1-9]\d*)(?:\.\d+)?$
            required:
              - custodyAllocationID
              - allocationAmount
          minItems: 1
          maxItems: 1000
      required:
        - updates
    UpdateCustodyAllocationsResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
